snappeatriangulation.h File Reference

Provides access to the SnapPea kernel. More...

`#include "regina-core.h"`
`#include "triangulation/dim3.h"`
`#include <complex>`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
struct | regina::SnapPeaException
| A base class for all exceptions that are thrown from within the SnapPea kernel. More...
struct | regina::SnapPeaFatalError
| An exception that is thrown when the SnapPea kernel encounters a fatal error. More...
struct | regina::SnapPeaMemoryFull
| An exception that is thrown when the SnapPea kernel finds that all available memory has been exhausted. More...
class | regina::Cusp
| Represents a single cusp of a SnapPea triangulation. More...
class | regina::SnapPeaTriangulation
| Offers direct access to the SnapPea kernel from within Regina. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Cusp | regina::NCusp
| Deprecated typedef for backward compatibility. More...
typedef SnapPeaTriangulation | regina::NSnapPeaTriangulation
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Provides access to the SnapPea kernel.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).